@echo off
REM Licensed Materials - Property of IBM
REM IBM Content Manager for Multiplatforms V8 (program number 5724-B19)
REM IBM Content Manager for z/OS and OS/390, V8 (program number 5697-H60)
REM (c ) Copyright IBM Corp. 1994, 2001.  All Rights Reserved.
REM US Government Users Restricted Rights -
REM Use, duplication or disclosure restricted by GSA ADP Schedule
REM Contract with IBM Corporation

db2 +o connect to %1 user %2 using %3
echo loading demgr table
db2 +o load from  %4\devmgr.del of del messages %4\devmgrload.log insert into rmdevmgr
IF ERRORLEVEL 4 (echo Error in loading devmgr table.  Please check %4\devmgrload.log for more information & GOTO END)
echo loading server table
db2 +o load from  %4\libsrvr.del of del messages %4\libsrvrload.log insert into rmserver
IF ERRORLEVEL 4 (echo Error in loading server table.  Please check %4\libsrvrload.log for more information & GOTO END)
echo loading access table
db2 +o load from  %4\access.del of del messages %4\accessload.log insert into rmaccess
IF ERRORLEVEL 4 (echo Error in loading access table.  Please check %4\accessload.log for more information & GOTO END)
echo loading storage group table
db2 +o load from %4\storgrp.del of del messages %4\storgrpload.log insert into rmstoragegroup
IF ERRORLEVEL 4 (echo Error in loading storagegroup table.  Please check %4\storgrpload.log for more information & GOTO END)
echo loading mgmt class table
db2 +o load from %4\mgtclas.del of del messages %4\mgtclasload.log insert into rmmgtclass
IF ERRORLEVEL 4 (echo Error in loading mgmt class table.  Please check %4\mgtclasload.log for more information & GOTO END)
echo loading collection table
db2 +o load from %4\collct.del of del messages %4\collctload.log insert into  rmcollections
IF ERRORLEVEL 4 (echo Error in loading collections table.  Please check %4\collctload.log for more information & GOTO END)
echo loading storage class table
db2 +o load from %4\stgclas.del of del messages %4\stgclasload.log insert into rmstorageclass
IF ERRORLEVEL 4 (echo Error in loading storage class table.  Please check %4\stgclasload.log for more information & GOTO END)
echo loading storage group volumes table
db2 +o load from %4\grpvols.del of del messages %4\grpvolsload.log insert into rmstggrpvolume
IF ERRORLEVEL 4 (echo Error in loading storage group volumes table.  Please check %4\grpvolsload.log for more information & GOTO END)
echo loading storage group classes table
db2 +o load from %4\grpclass.del of del messages %4\grpclassload.log insert into rmstggrpclass
IF ERRORLEVEL 4 (echo Error in loading storage group class table.  Please check %4\grclassload.log for more information & GOTO END)
echo loading mig transition table
db2 +o load from %4\mgtrans.del of del messages %4\mgtransload.log insert into rmmgttransition
IF ERRORLEVEL 4 (echo Error in loading mig transition table.  Please check %4\mgtransload.log for more information & GOTO END)
echo loading sync schedule table
db2 +o load from %4\syncschd.del of del messages %4\syncschdload.log insert into rmsyncsched
IF ERRORLEVEL 4 (echo Error in loading sync schedule table.  Please check %4\syncschdload.log for more information & GOTO END)
echo loading sync status table
db2 +o load from %4\syncstat.del of del messages %4\syncstatload.log insert into rmsyncstatus
IF ERRORLEVEL 4 (echo Error in loading sync status table.  Please check %4\syncstatload.log for more information & GOTO END)
echo loading sync report table
db2 +o load from %4\syncrep.del of del messages %4\syncrepload.log insert into rmsyncreport
IF ERRORLEVEL 4 (echo Error in loading sync report table.  Please check %4\syncrepload.log for more information & GOTO END)
echo loading sync volume table
db2 +o load from %4\syncvol.del of del messages %4\syncvolload.log insert into rmsyncvol
IF ERRORLEVEL 4 (echo Error in loading sync volume table.  Please check %4\syncvolload.log for more information & GOTO END)
echo loading sync parm table
db2 +o load from %4\syncparm.del of del messages %4\syncparmload.log insert into rmsyncparm
IF ERRORLEVEL 4 (echo Error in loading sync parm table.  Please check %4\syncparmload.log for more information & GOTO END)
echo loading volumes table
db2 +o load from %4\volumes.del of del messages %4\volumessload.log insert into rmvolumes
IF ERRORLEVEL 4 (echo Error in loading volumes table.  Please check %4\volumesload.log for more information & GOTO END)
db2 +o load from %4\volumes2.del of del messages %4\volumessload2.log insert into rmvolumes
IF ERRORLEVEL 4 (echo Error in loading volumes table.  Please check %4\volumesload2.log for more information & GOTO END)
echo loading objects table
db2 +o load from %4\objects.del of del messages %4\objectsload.log insert into rmobjects
IF ERRORLEVEL 4 (echo Error in loading objects table.  Please check %4\objectsload.log for more information & GOTO END)
db2 +o set integrity for rmaccess immediate checked
db2 +o set integrity for rmserver immediate checked
db2 +o set integrity for rmdevmgr immediate checked
db2 +o set integrity for rmstoragegroup immediate checked
db2 +o set integrity for rmmgtclass immediate checked
db2 +o set integrity for rmcollections immediate checked
db2 +o set integrity for rmstorageclass immediate checked
db2 +o set integrity for rmstggrpclass immediate checked
db2 +o set integrity for rmmgttransition immediate checked
db2 +o set integrity for rmsyncsched immediate checked
db2 +o set integrity for rmsyncstatus immediate checked
db2 +o set integrity for rmsyncreport immediate checked
db2 +o set integrity for rmsyncparm immediate checked
db2 +o set integrity for rmobjects immediate checked
db2 +o set integrity for rmvolumes immediate checked
db2 +o set integrity for rmstggrpvolume immediate checked
db2 +o set integrity for rmsyncvol immediate checked
db2 connect to %1 user %2 using %3
db2 "update rmaccess set acc_password='password' where acc_userid >1"
db2 connect reset

:END